# Features

Forked of F103_NNIO_RPC rev36:3055e4
Firmware for NNIO modules based on STM32F103RBT6 and W5500.

- TCP/UDP server for controlling and monitoring using NNIO v2.0 and RPC protocols.
- UDP server for discovering and configuring.

# Releases

## v2.0 (04/06/2016)

Improvements

- Removed private mbed-rpc
- Updated to latest mbed-rtos, NTPClient, Watchdog, W5500Interface and mbed.

## v1.1.1 (07/02/2015)

Improvements

- Updated RPC names

## v1.1 (24/01/2015)

New features

- Process RPC-style command in tcp client, similar to TCP/UDP server.

Improvements

- Control command is able to be processed by both TCP and UDP.
- Use only one network output buffer for both RPC-style and NNIO protocols.
- Automatically reset after setting network configuration or setting TCP server for auto update mode.
- RPC object name is 16 chars max.


## v1.0 (06/01/2014)

New features

- RPC command replies as following object_name:reply_value

Improvements

- Modified: clean code in my_eeprom_funcs and main.cpp
    
## v0.1 (29/12/2014)

Initial

- Imported F103_NNIO rev27:22f289beceb8
- process_control_command() with return value. 0 if NNIO protocol or RPC protocol without reply; length of RPC outbut buffer; or -1 if RPC failed.
- TCP server now checks to return data to client.
- use device description instead of device config code in Discovery command.
- working with ConfigurationTool v2.0 and AlarmMonitoring v1.1.
    
    
